javax.media.opengl.fixedfunc

## Interface GLPointerFunc

- All Known Subinterfaces:
    GL2, GL2ES1, GL3bc, GL4bc, GLES1
  All Known Implementing Classes:
    DebugGL2, DebugGL3, DebugGL3bc, DebugGL4, DebugGL4bc, DebugGLES1, TraceGL2, TraceGL3, TraceGL3bc, TraceGL4, TraceGL4bc, TraceGLES1

      public interface GLPointerFunc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GL_COLOR_ARRAY`
    `static int` | `GL_NORMAL_ARRAY`
    `static int` | `GL_TEXTURE_COORD_ARRAY`
    `static int` | `GL_VERTEX_ARRAY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `glColor4f(float red, float green, float blue, float alpha)`
    `void` | `glColorPointer(GLArrayData array)`
    `void` | `glColorPointer(int size, int type, int stride, Buffer pointer)`
    `void` | `glColorPointer(int size, int type, int stride, long pointer_buffer_offset)`
    `void` | `glDisableClientState(int arrayName)`
    `void` | `glEnableClientState(int arrayName)`
    `void` | `glNormalPointer(GLArrayData array)`
    `void` | `glNormalPointer(int type, int stride, Buffer pointer)`
    `void` | `glNormalPointer(int type, int stride, long pointer_buffer_offset)`
    `void` | `glTexCoordPointer(GLArrayData array)`
    `void` | `glTexCoordPointer(int size, int type, int stride, Buffer pointer)`
    `void` | `glTexCoordPointer(int size, int type, int stride, long pointer_buffer_offset)`
    `void` | `glVertexPointer(GLArrayData array)`
    `void` | `glVertexPointer(int size, int type, int stride, Buffer pointer)`
    `void` | `glVertexPointer(int size, int type, int stride, long pointer_buffer_offset)`

- - ### Field Detail

    - #### GL_VERTEX_ARRAY

          static final int GL_VERTEX_ARRAY

      See Also:
        Constant Field Values

    - #### GL_NORMAL_ARRAY

          static final int GL_NORMAL_ARRAY

      See Also:
        Constant Field Values

    - #### GL_COLOR_ARRAY

          static final int GL_COLOR_ARRAY

      See Also:
        Constant Field Values

    - #### GL_TEXTURE_COORD_ARRAY

          static final int GL_TEXTURE_COORD_ARRAY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### glEnableClientState

          void glEnableClientState(int arrayName)

    - #### glDisableClientState

          void glDisableClientState(int arrayName)

    - #### glVertexPointer

          void glVertexPointer(GLArrayData array)

    - #### glVertexPointer

          void glVertexPointer(int size,
                             int type,
                             int stride,
                             Buffer pointer)

    - #### glVertexPointer

          void glVertexPointer(int size,
                             int type,
                             int stride,
                             long pointer_buffer_offset)

    - #### glColorPointer

          void glColorPointer(GLArrayData array)

    - #### glColorPointer

          void glColorPointer(int size,
                            int type,
                            int stride,
                            Buffer pointer)

    - #### glColorPointer

          void glColorPointer(int size,
                            int type,
                            int stride,
                            long pointer_buffer_offset)

    - #### glColor4f

          void glColor4f(float red,
                       float green,
                       float blue,
                       float alpha)

    - #### glNormalPointer

          void glNormalPointer(GLArrayData array)

    - #### glNormalPointer

          void glNormalPointer(int type,
                             int stride,
                             Buffer pointer)

    - #### glNormalPointer

          void glNormalPointer(int type,
                             int stride,
                             long pointer_buffer_offset)

    - #### glTexCoordPointer

          void glTexCoordPointer(GLArrayData array)

    - #### glTexCoordPointer

          void glTexCoordPointer(int size,
                               int type,
                               int stride,
                               Buffer pointer)

    - #### glTexCoordPointer

          void glTexCoordPointer(int size,
                               int type,
                               int stride,
                               long pointer_buffer_offset)

Copyright 2010 JogAmp Community.